"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class BootstrapError extends Error {
    constructor(message, suggestions) {
        super(message);
        this.suggestions = suggestions;
        this.name = this.constructor.name;
        if (typeof Error.captureStackTrace === "function") {
            Error.captureStackTrace(this, this.constructor);
        }
        else {
            this.stack = new Error(message).stack;
        }
    }
}
exports.default = BootstrapError;
